Sisimai::Reason(3pm)

NAME
Sisimai::Reason - Detect the bounce reason

SYNOPSIS
    use Sisimai::Reason;

DESCRIPTION
"Sisimai::Reason" detects the bounce reason from the content of "Sisimai::Fact" object as an argument of find() method. This class is called only "Sisimai::Fact" class.

CLASS METHODS

  "find(Sisimai::Fact Object)"
find() method detects the bounce reason.

  "anotherone(Sisimai::Fact object)"
anotherone() method is a method for detecting the bounce reason, it works as a fall back method of find() and called only from find() method.

match() detects the bounce reason from given text as a error message.

  "match(String)"
match() method is a method for detecting the bounce reason from the string given as an argument of the method. However, this method is low analytical precision.

LIST OF BOUNCE REASONS
"Sisimai::Reason-"find()> method detects the reason of bounce with decoding the bounced messages. The following reasons will be set in the value of "reason" property of "Sisimai::Fact" instance. The list of all the bounce reasons is available at <https://libsisimai.org/en/reason/>.

SEE ALSO
Sisimai::ARF <http://tools.ietf.org/html/rfc5965> <https://libsisimai.org/en/reason/>

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2014-2024 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.